<?php

/**
 * Subclass for performing query and update operations on the 'katao_member_adhesion' table.
 *
 *
 *
 * @package lib.model
 */
class KataoMemberAdhesionPeer extends BaseKataoMemberAdhesionPeer
{
	static public function getAdhesionList($id){
		$criteria = new Criteria();

		$criteria->add(KataoMemberAdhesionPeer::KATAO_USER_ID, $id);

		return self::doSelect($criteria);
	}

	static public $HASH_TABLE = array( 'payment_kind' => array( '0' => 'Sols-Violette',
	'1' => 'Carte bancaire',
	'2' => 'Chèque',
	'3' => 'Espèces'),

		'type'        => array( '1' => 'Nouvelle adhésion',
								'2'	=> 'Renouvellement'));
}
